﻿@model LoyaltyPointEngine.Model.Object.Member.SalesPersonModel
@{
    
}
<!--=== Page Header ===-->
<div class="page-header">
    <div class="page-title">
        <h3>Edit SalesPerson</h3>
    </div>
    <!-- /Page Stats -->
</div>
<!-- /Page Header -->
<!--=== Page Content ===-->
<div class="row">
    <!--=== Validation Example 1 ===-->
    <div class="col-md-12">
        <div class="widget box">
            <div class="widget-header">
                <h4><i class="icon-reorder"></i> Edit SalesPerson</h4>
            </div>
            <div class="widget-content">
                @using (Html.BeginForm(MVC.SalesPerson.Edit(), FormMethod.Post, new { enctype = "multipart/form-data", @class = "form-horizontal row-border", @id = "formEditSalesPerson" }))
                {
                    @Html.AntiForgeryToken()
                    @Html.HiddenFor(x => x.ID)
                    if (!Html.ViewData.ModelState.IsValid)
                    {
                        <div class="alert alert-danger">
                            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                            <i class="fa fa-times-circle"></i>
                            Error occured: <br />
                            @Html.ValidationSummary()
                        </div>
                    }

                    <div class="form-group">
                        <label class="col-md-3 control-label">Is Active</label>
                        <div class="col-md-9">
                            @Html.CheckBoxFor(x => x.IsActive, new { })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">Code <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.Code, new { @class = "form-control", @required = "required" })
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-md-3 control-label">Name <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.Name, new { @class = "form-control", @required = "required" })
                        </div>
                    </div>

                    <div class="form-group hidden">
                        <label class="col-md-3 control-label">LeaderName <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.LeaderName, new { @class = "form-control SalesPerson-email-check", @required = "required" })
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-md-3 control-label">OutletName <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.OutletName, new { @class = "form-control SalesPerson-phone-check", @required = "required" })
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-md-3 control-label">District </label>
                        <div class="col-md-9 div-widget-district">
                            @Html.DropDownListFor(x => x.DistrictID, ViewBag.ListDistrict as IEnumerable<SelectListItem>,
                            "", new { @class = "select2-select-00 col-md-12 full-width-fix ddl-district"})
                        </div>
                    </div>

                    <div class="form-actions">
                        <input type="submit" value="Submit" class="btn btn-primary pull-right">
                    </div>

                }
            </div>
        </div>
        <!-- /Validation Example 1 -->
    </div>
</div>
@section FooterScript{
    <script>

        $(document).ready(function () {

            //===== Validation =====//
            //for default options, see assets/js/plugins.form-components.js (initValidation())

            $.extend($.validator.defaults, {
                invalidHandler: function (form, validator) {
                    var errors = validator.numberOfInvalids();
                    if (errors) {
                        var message = errors == 1
                        ? 'You missed 1 field. It has been highlighted.'
                        : 'You missed ' + errors + ' fields. They have been highlighted.';
                        noty({
                            text: message,
                            type: 'error',
                            timeout: 2000
                        });
                    }
                },
                errorPlacement: function (error, element) {
                    if (element.attr('type') === "file" && element.data('style') === "fileinput") {
                        error.appendTo(element.closest("div.fileinput-holder").parent('div'));
                    } else {
                        error.insertAfter(element)
                    }
                }
            });

            $("#formEditSalesPerson").validate();


        });
    </script>
}